포스트에 좋아요 표시
curl --request POST \
--url https://api.x.com/2/users/{id}/likes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tweet_id": "1346889436626259968"
}
'import requests
url = "https://api.x.com/2/users/{id}/likes"
payload = { "tweet_id": "1346889436626259968" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tweet_id: '1346889436626259968'})
};
fetch('https://api.x.com/2/users/{id}/likes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"liked": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}좋아요
포스트에 좋아요 표시
인증된 사용자가 ID로 지정된 게시물에 좋아요를 표시하도록 합니다.
POST
/
2
/
users
/
{id}
/
likes
포스트에 좋아요 표시
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
경로 매개변수
게시물에 좋아요를 요청하는 인증된 소스 사용자의 ID입니다. 이 사용자에 대한 고유 식별자입니다. 인증된 사용자와 동일한 값이어야 합니다.
예시:
"2244994945"
본문
application/json
이 Tweet의 고유 식별자입니다. 일부 언어 및 도구에서 큰 정수를 처리하지 못해 발생하는 문제를 피하기 위해 문자열로 반환됩니다.
Pattern:
^[0-9]{1,19}$예시:
"1346889436626259968"
응답
요청이 성공했습니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I